Create Task Field

Creates a new TaskField for a specific Project within your Workspace. A TaskField is a custom field defined within your Workspace for a specific Project. You can define TaskFields for any integration purpose that is important to your business. Each TaskField has a data type as well as options in how it is handled. TaskFields can be edited for each Task inside this Project.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The unique identifier of the Project within which to create this TaskField

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

Information about the TaskField to create
namestringOptional
The name of the TaskField
typestringOptional
The type of this TaskField. Valid types are the following: * Text * Number * Date * Checkbox * Currency * DropdownSingle * DropdownMulti
optionslist of strings or nullOptional

A list of options for use of this TaskField. This is only valid if the Type value is set to Dropdown.

When a custom TaskField of type DropDown is shown to a user in the application, they will be able to choose one of the Options in this list.

shortIdstring or nullOptional

The short Id of this field - human readable identity

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successboolean or nullRead-only

True if the API call succeeded; false otherwise.

hasErrorboolean or nullRead-only
True if the API call failed.
statusCodeenum or null
The HTTP code of the response.
dataobject or null
Returns the id of a specific ChangeSet